<?xml version="1.0"?>
<doc>
    <assembly>
        <name>YGNT.File.Application</name>
    </assembly>
    <members>
        <member name="T:YGNT.File.Application.FileApplicationModule">
            <summary>
            门户网站模块
            </summary>
        </member>
        <member name="F:YGNT.File.Application.FileConst.FileSizeLimit">
            <summary>
            文件大小限制(500m)
            </summary>
        </member>
        <member name="M:YGNT.File.Application.File.FileAppService.Upload(Microsoft.AspNetCore.Http.IFormFile,System.String)">
            <summary>
            上传文件(最大上传500m)
            </summary>
            <param name="formFile"></param>
            <param name="md5">md5值用于检测当前文件是否已经上传过(可以不传)</param>
            <returns></returns>
        </member>
        <member name="M:YGNT.File.Application.File.FileAppService.UploadImgAsync(Microsoft.AspNetCore.Http.IFormFile,System.String)">
            <summary>
            上传图片(图片最大不超过10m)
            </summary>
            <param name="formFile"></param>
            <param name="md5"></param>
            <returns></returns>
        </member>
        <member name="M:YGNT.File.Application.File.FileAppService.ReadFile(System.Guid)">
            <summary>
            读取文件
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:YGNT.File.Application.File.IFileAppService.Upload(Microsoft.AspNetCore.Http.IFormFile,System.String)">
            <summary>
            上传文件
            </summary>
            <param name="formFile"></param>
            <param name="md5">md5值用于检测当前文件是否已经上传过(可以不传)</param>
            <returns></returns>
        </member>
        <member name="M:YGNT.File.Application.File.IFileAppService.UploadImgAsync(Microsoft.AspNetCore.Http.IFormFile,System.String)">
            <summary>
            上传图片(图片最大不超过10m)
            </summary>
            <param name="formFile"></param>
            <param name="md5"></param>
            <returns></returns>
        </member>
        <member name="M:YGNT.File.Application.File.IFileAppService.ReadFile(System.Guid)">
            <summary>
            读取文件
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
    </members>
</doc>
